Get one questionnaire response
get
/fscmRestApi/resources/11.13.18.05/supplierInitiatives/{supplierInitiativesUniqID}/child/suppliers/{suppliersUniqID}/child/questionnaireResponses/{QuestnaireRespHeaderId}
Request
Path Parameters
-
QuestnaireRespHeaderId(required): integer(int64)
The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
-
supplierInitiativesUniqID(required): string
This is the hash key of the attributes which make up the composite key for the Initiatives resource and used to uniquely identify an instance of Initiatives. The client should not generate the hash key value. Instead, the client should query on the Initiatives collection resource in order to navigate to a specific instance of Initiatives to get the hash key.
-
suppliersUniqID(required): string
This is the hash key of the attributes which make up the composite key for the Suppliers for Supplier Initiatives resource and used to uniquely identify an instance of Suppliers for Supplier Initiatives. The client should not generate the hash key value. Instead, the client should query on the Suppliers for Supplier Initiatives collection resource in order to navigate to a specific instance of Suppliers for Supplier Initiatives to get the hash key.
Query Parameters
-
dependency: string
This parameter specifies dependencies which are fields that are set before and rolled back after generating the response. Generally they are used to preview the effects of an attribute change. The fields specified in this parameter are always set in the resource instance in question. When a child resource collection is requested and the parameter is set, the fields will be set in the parent resource instance before generating the resource collection payload. The value of this query parameter is a set of dependency fields. Example: dependency=ProductId=2
Format: <attr1>=<val1>,<attr2>=<value2> -
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : supplierInitiatives-suppliers-questionnaireResponses-item-response
Type:
Show Source
object-
InitiativeId: integer
(int64)
Read Only:
trueValue that uniquely identifies an initiative that contains the questionnaire. -
InternalRespondentId: integer
(int64)
Read Only:
trueIndicates the person identifier of the internal responder. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
PrcBUId: integer
(int64)
Read Only:
trueValue that uniquely identifies the Procurement business unit in which the questionnaire is created. -
QuestnaireId: integer
(int64)
Read Only:
trueValue that uniquely identifies questionnaire. -
QuestnaireRespHeaderId: integer
(int64)
Read Only:
trueInternal system identifier for a questionnaire response. -
ResponderType: string
Read Only:
trueMaximum Length:255Value that indicates whether the response responder is a supplier or internal responder. -
ResponseStatus: string
Title:
MeaningRead Only:trueMaximum Length:80Value that identifies the status of the response. -
ResponseStatusCode: string
Read Only:
trueMaximum Length:30Abbreviation that identifies the response status. A list of accepted values is defined in the lookup type ORA_POQ_QUESTION_RESP_STATUS. Review the values for this attribute using the Setup and Maintenance work area, and the Manage Standard Lookups task. -
SupplierId: integer
(int64)
Read Only:
trueValue that uniquely identifies the Initiative supplier record. -
SupplierSiteId: integer
(int64)
Read Only:
trueValue that uniquely identifies the supplier site on the initiative.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.